[Résolu] Erreur fichier function.php continue lors de l’installation WP (Créer un compte)

  • Statut : non résolu
7 sujets de 1 à 7 (sur un total de 7)
  • Auteur
    Messages
  • #558866
    Kraci
    Membre
    Initié WordPress
    3 contributions

    Ma configuration WP actuelle aucune
    – Version de WordPress : 4.4.1
    – Version de PHP/MySQL :
    – Thème utilisé : aucun
    – Extensions en place : aucune
    – Nom de l’hebergeur : OVH
    – Adresse du site : otdr.fr

    Problème(s) rencontré(s) :
    Bonjour,

    je travaille à la construction d’un site actuellement. Donc basiquement, je commence par installer WordPress via FTP (Filezilla) donc je DL WP (dernière version) je dézippe, je renomme en « www » et je transfère à la racine de mon site.
    mais quand je veux ouvrir derrière mon wp-admin/install.php je tombe sur une page qui me dit :
    Parse error: syntax error, unexpected ‘{‘ in /home/xxx/www/wp-includes/functions.php on line 2788

    donc j’applique ce qu’il me dit je retire le { de la ligne 2788
    mais après il me dit « unexpected T_VARIABLE on line 2789 »
    et je ne sais pas quelle variable il ne connait pas
    « $args[0] = _wp_json_sanity_check( $data, $depth ); »

    j’ai supprimé mon dossier, réinstallé, installé une ancienne version, etc. rien n’y fait il me sort cette erreur en continu.
    J’ai même rasé ma base de données & mon FTP complètement pour repartir sur une base saine mais cela continue.

    Ce problème évoque-t-il quelque chose à quelqu’un ?
    (ça me surprend d’avoir une erreur de code dans un fichier fraichement téléchargé sur le site WP quand même donc je me dis que cela vient peut-être de chez moi ? mais comme j’ai tout rasé pour repartir de 0 je ne comprends pas non plus…)

    merci de votre aide !

    #1040320
    Li-An
    Participant
    Maître WordPress
    28380 contributions

    Quelle version de php ? Je conseille php 5.6 voire 7.0 – dispo sur OVH.

    #1040321
    Kraci
    Membre
    Initié WordPress
    3 contributions

    actuellement mysql 5.5
    tu penses que cela pourrait-être la source du problème ?
    comment puis-je la mettre à niveau si tel est le cas ?

    merci

    #1040322
    PhiLyon
    Modérateur
    Maître WordPress
    28264 contributions

    Bonjour.

    Regardes-là https://www.ovh.com/fr/g1175.activer_loptimisation_php_sur_son_hebergement_mutualise_ovh

    je renomme en « www » et je transfère à la racine de mon site

    Que renommes-tu ?

    Normalement tu transfères les fichiers inclus dans le dossier dézippé dans le www chez OVH et c’est tout.

    🙂

    #1040323
    Joss47
    Modérateur
    Maître WordPress
    5132 contributions

    @PhiLyon, peut être que ça sera plus facile avec ce lien https://www.ovh.com/fr/hosting/guides/g1999.mutualise_configurer_la_version_de_php_depuis_votre_espace_client

    Plus facile pour un utilisateur n’ayant pas forcément des capacités web.

    #1040324
    Li-An
    Participant
    Maître WordPress
    28380 contributions

    Je parle de la version de php: tuto pour modifier la version de php http://blogbuster.fr/webmastering/ovh-php-5-5.htm

    Il faut que vous mettiez dans le fichier défini app.engine.version=5.6 ou app.engine.version=7.0

    #1040325
    Kraci
    Membre
    Initié WordPress
    3 contributions

    résolu merci passage en php 5.6 + 2-3 manips derrière ! 🙂

7 sujets de 1 à 7 (sur un total de 7)
  • Vous devez être connecté pour répondre à ce sujet.